# MBurger Explorer

At [this repository](https://gitlab.mumbleserver.it/iOS/MBurgerExplore) you’ll find a comprehensive, full-force sample app, with:

* Home page
* Photo gallery
* Custom WYSIWYG
* Contact data
* Points of interest
* List of partners
* News list with detail.

This sample teaches the basics on how to use MBurger:

* Install the SDK
* Initialize the SDK
* Fetch Blocks and Sections
* Use Filters

### App Requirements

* Xcode 9
* CocoaPods 1.5.3
* Dependencies: [MBurger](https://github.com/Mumble-SRL/MBPayments-iOS), [SWRevealViewController](https://github.com/John-Lluch/SWRevealViewController)

### MBurger Usage and tutorial

MBurger is initialized in the&#x20;

**`AppDelegate application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions:`**&#x20;

function with a demo **`API KEY`**.&#x20;

It’s essential to initialize Nooko at the start of the application or you won't be able to use the SDK API:

```bash
MBManager.shared().apiToken = “8e4d4521516289755c8d33e61cc0ca08c800c2ec”
```

This sample uses the `MBClient` class to retrieve data from the MBurger dashboard using the function **`getSectionsWithBlockId:`** and then by mapping the results to custom objects with a mapping dictionary.

![MBurgerExplorer1](https://docs.mumbleideas.it/mburger/ios/images/MBurgerExplorer1.png) ![MBurgerExplorer2](https://docs.mumbleideas.it/mburger/ios/images/MBurgerExplorer2.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/ios-docs/sample-apps/mburger-explorer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
